Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## rdlc.sw
Enum Field.Access

    java.lang.Object
      java.lang.Enum<Field.Access>
          rdlc.sw.Field.Access

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Field.Access>

Enclosing interface:
  Field

    public static enum Field.Access

extends java.lang.Enum<Field.Access>

Iterator of the possible field access levels.

Version:
  $Revision: 1.11 $
Author:
  Greg Gibeling

Enum Constant Summary
`Default`
`Private`
`Protected`
`Public`

Method Summary
`static Field.Access` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Field.Access[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Private

    public static final Field.Access Private

### Protected

    public static final Field.Access Protected

### Default

    public static final Field.Access Default

### Public

    public static final Field.Access Public

Method Detail

### values

    public static final Field.Access[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Field.Access c : Field.Access.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Field.Access valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD